package common.network;

import common.packet.LPacketChallenge;
import common.packet.LPacketPassword;
import common.packet.LPacketPubkey;
import common.packet.LPacketResponse;
import common.packet.LPacketStartEncrypt;

public interface ILoginHandler extends NetHandler {
	void processEncryption(LPacketStartEncrypt packet);
	void processPassword(LPacketPassword packet);
	void processPubkey(LPacketPubkey packet);
	void processResponse(LPacketResponse packet);
	void processChallenge(LPacketChallenge packet);
}
